# List bank lines

`GET /v1/bank-transactions`

Bank lines as the bank reported them, newest first, with the journal entries each is reconciled with.

**Scopes:** any of `bank:read`, `read:ledger`

## Request

```bash
curl https://api.numina.app/v1/bank-transactions \
  -H "Authorization: Bearer numi_YOUR_API_KEY"
```

## Query parameters

- `bank_account_id` (string (uuid), optional): Only this bank account (from GET /v1/bank-accounts)
- `from_date` (string, optional): (YYYY-MM-DD)
- `to_date` (string, optional): (YYYY-MM-DD)
- `amount_min` (number, optional, nullable): Signed, in the line's currency: negative is money out
- `amount_max` (number, optional, nullable)
- `text` (string, optional): Text in the payment reference or counterparty name (max 200 chars)
- `state` (string, optional): Only lines in this state. Omit for all. One of: `unreconciled`, `reconciled`.
- `limit` (integer, optional): Maximum number of results (default 100, max 500) Default: `100`. (1–500)
- `offset` (integer, optional, nullable): Number of results to skip Default: `0`. (≥ 0)

## Response `200`

Bank lines

```json
{
  "bank_transactions": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "bank_account_id": "550e8400-e29b-41d4-a716-446655440000",
      "bank_account_name": "string",
      "ledger_account_number": 0,
      "date": "string",
      "value_date": "string",
      "amount": 0,
      "currency": "string",
      "counterparty": "string",
      "payment_reference": "string",
      "state": "unreconciled",
      "journal_entries": [
        {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "state": "draft"
        }
      ],
      "agent_processing": false
    }
  ],
  "has_more": false,
  "next_offset": 0
}
```

## Errors

- `400` Bad Request - Invalid input or validation failed
- `401` Unauthorized - Invalid or missing authentication
- `403` Forbidden - Missing scope, or the company is archived
- `429` Too Many Requests - Rate limit exceeded
- `500` Internal Server Error

See https://developers.numina.app/errors.md for the error format.
